//
//  FacebookLib.h
//  WeMo
//
//  Created by Jun Pataleta on 11/11/16.
//  Copyright (c) 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import "FBConnect.h"
#import "WeMo.h"

@interface FacebookLib : WeMo <FBSessionDelegate, FBRequestDelegate, FBDialogDelegate> {
    Facebook * facebook;
    NSString * fbAppId;
}

@property (nonatomic, retain) Facebook * facebook;
@property (nonatomic, retain) NSString * fbAppId;

- (void)initFB:(NSString *) cbId params:(NSDictionary *) fbParams;
+ (id)sharedInstance;
+ (id)allocWithZone:(NSZone*)zone;
- (void)initFB:(NSString *) cbId params:(NSDictionary *) fbParams;
- (void) queryGraph:(NSString *) cbId params:(NSDictionary *) pathParam;
- (void) postStatus:(NSString *) cbId params:(NSDictionary *) statusParams;
@end
